Package org.eclipse.birt.chart.computation.withoutaxes

# Class PlotWithoutAxes

java.lang.Object
org.eclipse.birt.chart.computation.PlotComputation
org.eclipse.birt.chart.computation.withoutaxes.PlotWithoutAxes

public final class PlotWithoutAxes extends PlotComputation
This class is capable of computing the content of a chart (without axes) based on preferred sizes, text rotation, fit ability, scaling, etc and prepares it for rendering. WARNING: This is an internal class and subject to change

## Constructor Summary

Constructors
Constructor
Description
`PlotWithoutAxes(IDisplayServer xs, ChartWithoutAxes cwoa, RunTimeContext rtc)`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`compute(Bounds bo)`
This method computes the entire chart within the given bounds.
`Coordinates`
`getCellCoordinates(int iCell)`
`Size`
`getCellSize()`
`int`
`getColumnCount()`
`ChartWithoutAxes`
`getModel()`
`int`
`getRowCount()`
`SeriesRenderingHints`
`getSeriesRenderingHints(SeriesDefinition sdOrthogonal, Series seOrthogonal)`

### Methods inherited from class org.eclipse.birt.chart.computation.PlotComputation

`getChartComputation, getPlotBounds, getPlotInsets, getPointToPixel, getRunTimeContext`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlotWithoutAxes

public PlotWithoutAxes(IDisplayServer xs, ChartWithoutAxes cwoa, RunTimeContext rtc)
The constructor.

Parameters:
  `xs` -
  `cwoa` -
  `rtc` -

## Method Details

### compute

public void compute(Bounds bo)
Description copied from class: `PlotComputation`
This method computes the entire chart within the given bounds. If the dataset has changed but none of the axis attributes have changed, simply re-compute without 'rebuilding axes'.

Specified by:
  `compute` in class `PlotComputation`
Parameters:
  `bo` -

### getCellSize

public Size getCellSize()

### getCellCoordinates

public Coordinates getCellCoordinates(int iCell)

### getColumnCount

public int getColumnCount()

### getRowCount

public int getRowCount()

### getModel

public ChartWithoutAxes getModel()

Overrides:
  `getModel` in class `PlotComputation`

### getSeriesRenderingHints

public SeriesRenderingHints getSeriesRenderingHints(SeriesDefinition sdOrthogonal, Series seOrthogonal) throws ChartException, IllegalArgumentException

Specified by:
  `getSeriesRenderingHints` in class `PlotComputation`
Parameters:
  `sdOrthogonal` -
  `seOrthogonal` -
Returns:
  ISeriesRenderingHints
Throws:
  `ChartException`
  `IllegalArgumentException`